#ifndef ELEMENTO
#define ELEMENTO

#include "Globals.h"

class Elemento {
private:
    std::string nome;
    BITMAP *imagem[4][2];
    BITMAP *folha;
    int posicaoX, posicaoY;
    int direcao;
    bool andando;
    bool apagueMe;
    bool vivo;
    long contador;
public:
    Elemento(std::string n, BITMAP* f, int x, int y);
    int getX();
    int getY();
    std::string getNome();
    int getDirecao();
    void setDirecao(int dir);
    void setAndando(bool a);
    void setContador(long c);
    long getContador();
    void matar();
    void setX(int x);
    void setY(int y);
    void apagar();
    bool paraApagar();
    bool estaVivo();
    virtual void rodar();
    virtual void desenhar(int e);
    virtual ~Elemento();
};

#endif // ELEMENTO
