#ifndef AMBIENTE
#define AMBIENTE

#include "Elemento.h"

class Ambiente {
private:
    BITMAP *folha;
    BITMAP *fundo;
    Elemento *mapa[MAPA_LARGURA][MAPA_ALTURA];
    bool sair;
    int etapa;
    long contador;
public:
    Ambiente(std::string nomeFundo);
    bool inserirElemento(Elemento* e);
    bool moverElemento(Elemento* e, int x, int y);
    long getContador();
    Elemento *getElemento(int x, int y);
    BITMAP *getFolha();
    virtual void desenhar();
    virtual void executar();
    virtual ~Ambiente();
};

#endif // AMBIENTE
